"Fossies" - the Fresh Open Source Software Archive

Member "libmcrypt-2.5.8/src/Makefile.in" (19 Feb 2007, 17051 Bytes) of package /linux/privat/old/libmcrypt-2.5.8.tar.gz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file.

    1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
    2 # @configure_input@
    3 
    4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
    5 # 2003, 2004, 2005  Free Software Foundation, Inc.
    6 # This Makefile.in is free software; the Free Software Foundation
    7 # gives unlimited permission to copy and/or distribute it,
    8 # with or without modifications, as long as this notice is preserved.
    9 
   10 # This program is distributed in the hope that it will be useful,
   11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   13 # PARTICULAR PURPOSE.
   14 
   15 @SET_MAKE@
   16 
   17 srcdir = @srcdir@
   18 top_srcdir = @top_srcdir@
   19 VPATH = @srcdir@
   20 pkgdatadir = $(datadir)/@PACKAGE@
   21 pkglibdir = $(libdir)/@PACKAGE@
   22 pkgincludedir = $(includedir)/@PACKAGE@
   23 top_builddir = ..
   24 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   25 INSTALL = @INSTALL@
   26 install_sh_DATA = $(install_sh) -c -m 644
   27 install_sh_PROGRAM = $(install_sh) -c
   28 install_sh_SCRIPT = $(install_sh) -c
   29 INSTALL_HEADER = $(INSTALL_DATA)
   30 transform = $(program_transform_name)
   31 NORMAL_INSTALL = :
   32 PRE_INSTALL = :
   33 POST_INSTALL = :
   34 NORMAL_UNINSTALL = :
   35 PRE_UNINSTALL = :
   36 POST_UNINSTALL = :
   37 build_triplet = @build@
   38 host_triplet = @host@
   39 target_triplet = @target@
   40 noinst_PROGRAMS = ciphertest$(EXEEXT) aestest$(EXEEXT)
   41 subdir = src
   42 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
   43 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
   44 am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
   45 	$(top_srcdir)/configure.in
   46 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
   47 	$(ACLOCAL_M4)
   48 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
   49 CONFIG_HEADER = $(top_builddir)/config.h
   50 CONFIG_CLEAN_FILES =
   51 PROGRAMS = $(noinst_PROGRAMS)
   52 am_aestest_OBJECTS = aes_test.$(OBJEXT)
   53 aestest_OBJECTS = $(am_aestest_OBJECTS)
   54 am__DEPENDENCIES_1 =
   55 aestest_DEPENDENCIES = ../lib/libmcrypt.la $(am__DEPENDENCIES_1)
   56 am_ciphertest_OBJECTS = cipher_test.$(OBJEXT)
   57 ciphertest_OBJECTS = $(am_ciphertest_OBJECTS)
   58 ciphertest_DEPENDENCIES = ../lib/libmcrypt.la $(am__DEPENDENCIES_1)
   59 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
   60 depcomp = $(SHELL) $(top_srcdir)/depcomp
   61 am__depfiles_maybe = depfiles
   62 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
   63 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
   64 LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
   65 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
   66 	$(AM_CFLAGS) $(CFLAGS)
   67 CCLD = $(CC)
   68 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
   69 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
   70 SOURCES = $(aestest_SOURCES) $(ciphertest_SOURCES)
   71 DIST_SOURCES = $(aestest_SOURCES) $(ciphertest_SOURCES)
   72 ETAGS = etags
   73 CTAGS = ctags
   74 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
   75 ACLOCAL = @ACLOCAL@
   76 AMDEP_FALSE = @AMDEP_FALSE@
   77 AMDEP_TRUE = @AMDEP_TRUE@
   78 AMTAR = @AMTAR@
   79 AR = @AR@
   80 AS = @AS@
   81 AUTOCONF = @AUTOCONF@
   82 AUTOHEADER = @AUTOHEADER@
   83 AUTOMAKE = @AUTOMAKE@
   84 AWK = @AWK@
   85 CC = @CC@
   86 CCDEPMODE = @CCDEPMODE@
   87 CFLAGS = @CFLAGS@
   88 CPP = @CPP@
   89 CPPFLAGS = @CPPFLAGS@
   90 CXX = @CXX@
   91 CXXCPP = @CXXCPP@
   92 CXXDEPMODE = @CXXDEPMODE@
   93 CXXFLAGS = @CXXFLAGS@
   94 CYGPATH_W = @CYGPATH_W@
   95 DEFS = @DEFS@
   96 DEPDIR = @DEPDIR@
   97 DLLTOOL = @DLLTOOL@
   98 ECHO = @ECHO@
   99 ECHO_C = @ECHO_C@
  100 ECHO_N = @ECHO_N@
  101 ECHO_T = @ECHO_T@
  102 EGREP = @EGREP@
  103 EXEEXT = @EXEEXT@
  104 EXTRA_ALGOS = @EXTRA_ALGOS@
  105 EXTRA_OBJECTS = @EXTRA_OBJECTS@
  106 F77 = @F77@
  107 FFLAGS = @FFLAGS@
  108 INCLTDL = @INCLTDL@
  109 INSTALL_ALGORITHM_MODULES = @INSTALL_ALGORITHM_MODULES@
  110 INSTALL_DATA = @INSTALL_DATA@
  111 INSTALL_MODE_MODULES = @INSTALL_MODE_MODULES@
  112 INSTALL_PROGRAM = @INSTALL_PROGRAM@
  113 INSTALL_SCRIPT = @INSTALL_SCRIPT@
  114 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  115 LDFLAGS = @LDFLAGS@
  116 LIBLTDL = @LIBLTDL@
  117 LIBLTDL_DIR = @LIBLTDL_DIR@
  118 LIBMCRYPT_CFLAGS = @LIBMCRYPT_CFLAGS@
  119 LIBMCRYPT_CURRENT_INTERFACE_IMPLEMENTATION_NUMBER = @LIBMCRYPT_CURRENT_INTERFACE_IMPLEMENTATION_NUMBER@
  120 LIBMCRYPT_LIBS = @LIBMCRYPT_LIBS@
  121 LIBMCRYPT_MAJOR_VERSION = @LIBMCRYPT_MAJOR_VERSION@
  122 LIBMCRYPT_MICRO_VERSION = @LIBMCRYPT_MICRO_VERSION@
  123 LIBMCRYPT_MINOR_VERSION = @LIBMCRYPT_MINOR_VERSION@
  124 LIBMCRYPT_MOST_RECENT_INTERFACE = @LIBMCRYPT_MOST_RECENT_INTERFACE@
  125 LIBMCRYPT_OLDEST_INTERFACE = @LIBMCRYPT_OLDEST_INTERFACE@
  126 LIBMCRYPT_VERSION = @LIBMCRYPT_VERSION@
  127 LIBOBJS = @LIBOBJS@
  128 LIBS = @LIBS@
  129 LIBTOOL = @LIBTOOL@
  130 LIBTOOL_DEPS = @LIBTOOL_DEPS@
  131 LN_S = @LN_S@
  132 LTLIBOBJS = @LTLIBOBJS@
  133 LT_AGE = @LT_AGE@
  134 LT_CURRENT = @LT_CURRENT@
  135 LT_REVISION = @LT_REVISION@
  136 MAINT = @MAINT@
  137 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
  138 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
  139 MAKEINFO = @MAKEINFO@
  140 NOINSTALL_ALGORITHM_MODULES = @NOINSTALL_ALGORITHM_MODULES@
  141 NOINSTALL_MODE_MODULES = @NOINSTALL_MODE_MODULES@
  142 OBJDUMP = @OBJDUMP@
  143 OBJEXT = @OBJEXT@
  144 PACKAGE = @PACKAGE@
  145 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  146 PACKAGE_NAME = @PACKAGE_NAME@
  147 PACKAGE_STRING = @PACKAGE_STRING@
  148 PACKAGE_TARNAME = @PACKAGE_TARNAME@
  149 PACKAGE_VERSION = @PACKAGE_VERSION@
  150 PATH_SEPARATOR = @PATH_SEPARATOR@
  151 RANLIB = @RANLIB@
  152 SED = @SED@
  153 SET_MAKE = @SET_MAKE@
  154 SHELL = @SHELL@
  155 STRIP = @STRIP@
  156 VERSION = @VERSION@
  157 ac_ct_AR = @ac_ct_AR@
  158 ac_ct_AS = @ac_ct_AS@
  159 ac_ct_CC = @ac_ct_CC@
  160 ac_ct_CXX = @ac_ct_CXX@
  161 ac_ct_DLLTOOL = @ac_ct_DLLTOOL@
  162 ac_ct_F77 = @ac_ct_F77@
  163 ac_ct_OBJDUMP = @ac_ct_OBJDUMP@
  164 ac_ct_RANLIB = @ac_ct_RANLIB@
  165 ac_ct_STRIP = @ac_ct_STRIP@
  166 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
  167 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  168 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
  169 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
  170 am__include = @am__include@
  171 am__leading_dot = @am__leading_dot@
  172 am__quote = @am__quote@
  173 am__tar = @am__tar@
  174 am__untar = @am__untar@
  175 bindir = @bindir@
  176 build = @build@
  177 build_alias = @build_alias@
  178 build_cpu = @build_cpu@
  179 build_os = @build_os@
  180 build_vendor = @build_vendor@
  181 datadir = @datadir@
  182 exec_prefix = @exec_prefix@
  183 host = @host@
  184 host_alias = @host_alias@
  185 host_cpu = @host_cpu@
  186 host_os = @host_os@
  187 host_vendor = @host_vendor@
  188 includedir = @includedir@
  189 infodir = @infodir@
  190 install_sh = @install_sh@
  191 libdir = @libdir@
  192 libexecdir = @libexecdir@
  193 localstatedir = @localstatedir@
  194 mandir = @mandir@
  195 mkdir_p = @mkdir_p@
  196 oldincludedir = @oldincludedir@
  197 prefix = @prefix@
  198 program_transform_name = @program_transform_name@
  199 sbindir = @sbindir@
  200 sharedstatedir = @sharedstatedir@
  201 subdirs = @subdirs@
  202 sysconfdir = @sysconfdir@
  203 target = @target@
  204 target_alias = @target_alias@
  205 target_cpu = @target_cpu@
  206 target_os = @target_os@
  207 target_vendor = @target_vendor@
  208 ciphertest_SOURCES = cipher_test.c
  209 ciphertest_LDADD = ../lib/libmcrypt.la $(LIBLTDL) 
  210 aestest_SOURCES = aes_test.c
  211 aestest_LDADD = ../lib/libmcrypt.la $(LIBLTDL) 
  212 TESTS = ciphertest aestest
  213 all: all-am
  214 
  215 .SUFFIXES:
  216 .SUFFIXES: .c .lo .o .obj
  217 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
  218 	@for dep in $?; do \
  219 	  case '$(am__configure_deps)' in \
  220 	    *$$dep*) \
  221 	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
  222 		&& exit 0; \
  223 	      exit 1;; \
  224 	  esac; \
  225 	done; \
  226 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/Makefile'; \
  227 	cd $(top_srcdir) && \
  228 	  $(AUTOMAKE) --gnu  src/Makefile
  229 .PRECIOUS: Makefile
  230 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  231 	@case '$?' in \
  232 	  *config.status*) \
  233 	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  234 	  *) \
  235 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
  236 	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
  237 	esac;
  238 
  239 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  240 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  241 
  242 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
  243 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  244 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  245 	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  246 
  247 clean-noinstPROGRAMS:
  248 	@list='$(noinst_PROGRAMS)'; for p in $$list; do \
  249 	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
  250 	  echo " rm -f $$p $$f"; \
  251 	  rm -f $$p $$f ; \
  252 	done
  253 aestest$(EXEEXT): $(aestest_OBJECTS) $(aestest_DEPENDENCIES) 
  254 	@rm -f aestest$(EXEEXT)
  255 	$(LINK) $(aestest_LDFLAGS) $(aestest_OBJECTS) $(aestest_LDADD) $(LIBS)
  256 ciphertest$(EXEEXT): $(ciphertest_OBJECTS) $(ciphertest_DEPENDENCIES) 
  257 	@rm -f ciphertest$(EXEEXT)
  258 	$(LINK) $(ciphertest_LDFLAGS) $(ciphertest_OBJECTS) $(ciphertest_LDADD) $(LIBS)
  259 
  260 mostlyclean-compile:
  261 	-rm -f *.$(OBJEXT)
  262 
  263 distclean-compile:
  264 	-rm -f *.tab.c
  265 
  266 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/aes_test.Po@am__quote@
  267 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cipher_test.Po@am__quote@
  268 
  269 .c.o:
  270 @am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
  271 @am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
  272 @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  273 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  274 @am__fastdepCC_FALSE@	$(COMPILE) -c $<
  275 
  276 .c.obj:
  277 @am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
  278 @am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
  279 @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  280 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  281 @am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`
  282 
  283 .c.lo:
  284 @am__fastdepCC_TRUE@	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
  285 @am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
  286 @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
  287 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  288 @am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
  289 
  290 mostlyclean-libtool:
  291 	-rm -f *.lo
  292 
  293 clean-libtool:
  294 	-rm -rf .libs _libs
  295 
  296 distclean-libtool:
  297 	-rm -f libtool
  298 uninstall-info-am:
  299 
  300 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
  301 	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
  302 	unique=`for i in $$list; do \
  303 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  304 	  done | \
  305 	  $(AWK) '    { files[$$0] = 1; } \
  306 	       END { for (i in files) print i; }'`; \
  307 	mkid -fID $$unique
  308 tags: TAGS
  309 
  310 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
  311 		$(TAGS_FILES) $(LISP)
  312 	tags=; \
  313 	here=`pwd`; \
  314 	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
  315 	unique=`for i in $$list; do \
  316 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  317 	  done | \
  318 	  $(AWK) '    { files[$$0] = 1; } \
  319 	       END { for (i in files) print i; }'`; \
  320 	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
  321 	  test -n "$$unique" || unique=$$empty_fix; \
  322 	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  323 	    $$tags $$unique; \
  324 	fi
  325 ctags: CTAGS
  326 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
  327 		$(TAGS_FILES) $(LISP)
  328 	tags=; \
  329 	here=`pwd`; \
  330 	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
  331 	unique=`for i in $$list; do \
  332 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  333 	  done | \
  334 	  $(AWK) '    { files[$$0] = 1; } \
  335 	       END { for (i in files) print i; }'`; \
  336 	test -z "$(CTAGS_ARGS)$$tags$$unique" \
  337 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  338 	     $$tags $$unique
  339 
  340 GTAGS:
  341 	here=`$(am__cd) $(top_builddir) && pwd` \
  342 	  && cd $(top_srcdir) \
  343 	  && gtags -i $(GTAGS_ARGS) $$here
  344 
  345 distclean-tags:
  346 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  347 
  348 check-TESTS: $(TESTS)
  349 	@failed=0; all=0; xfail=0; xpass=0; skip=0; \
  350 	srcdir=$(srcdir); export srcdir; \
  351 	list='$(TESTS)'; \
  352 	if test -n "$$list"; then \
  353 	  for tst in $$list; do \
  354 	    if test -f ./$$tst; then dir=./; \
  355 	    elif test -f $$tst; then dir=; \
  356 	    else dir="$(srcdir)/"; fi; \
  357 	    if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
  358 	      all=`expr $$all + 1`; \
  359 	      case " $(XFAIL_TESTS) " in \
  360 	      *" $$tst "*) \
  361 		xpass=`expr $$xpass + 1`; \
  362 		failed=`expr $$failed + 1`; \
  363 		echo "XPASS: $$tst"; \
  364 	      ;; \
  365 	      *) \
  366 		echo "PASS: $$tst"; \
  367 	      ;; \
  368 	      esac; \
  369 	    elif test $$? -ne 77; then \
  370 	      all=`expr $$all + 1`; \
  371 	      case " $(XFAIL_TESTS) " in \
  372 	      *" $$tst "*) \
  373 		xfail=`expr $$xfail + 1`; \
  374 		echo "XFAIL: $$tst"; \
  375 	      ;; \
  376 	      *) \
  377 		failed=`expr $$failed + 1`; \
  378 		echo "FAIL: $$tst"; \
  379 	      ;; \
  380 	      esac; \
  381 	    else \
  382 	      skip=`expr $$skip + 1`; \
  383 	      echo "SKIP: $$tst"; \
  384 	    fi; \
  385 	  done; \
  386 	  if test "$$failed" -eq 0; then \
  387 	    if test "$$xfail" -eq 0; then \
  388 	      banner="All $$all tests passed"; \
  389 	    else \
  390 	      banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
  391 	    fi; \
  392 	  else \
  393 	    if test "$$xpass" -eq 0; then \
  394 	      banner="$$failed of $$all tests failed"; \
  395 	    else \
  396 	      banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
  397 	    fi; \
  398 	  fi; \
  399 	  dashes="$$banner"; \
  400 	  skipped=""; \
  401 	  if test "$$skip" -ne 0; then \
  402 	    skipped="($$skip tests were not run)"; \
  403 	    test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
  404 	      dashes="$$skipped"; \
  405 	  fi; \
  406 	  report=""; \
  407 	  if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
  408 	    report="Please report to $(PACKAGE_BUGREPORT)"; \
  409 	    test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
  410 	      dashes="$$report"; \
  411 	  fi; \
  412 	  dashes=`echo "$$dashes" | sed s/./=/g`; \
  413 	  echo "$$dashes"; \
  414 	  echo "$$banner"; \
  415 	  test -z "$$skipped" || echo "$$skipped"; \
  416 	  test -z "$$report" || echo "$$report"; \
  417 	  echo "$$dashes"; \
  418 	  test "$$failed" -eq 0; \
  419 	else :; fi
  420 
  421 distdir: $(DISTFILES)
  422 	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
  423 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
  424 	list='$(DISTFILES)'; for file in $$list; do \
  425 	  case $$file in \
  426 	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
  427 	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
  428 	  esac; \
  429 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  430 	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
  431 	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
  432 	    dir="/$$dir"; \
  433 	    $(mkdir_p) "$(distdir)$$dir"; \
  434 	  else \
  435 	    dir=''; \
  436 	  fi; \
  437 	  if test -d $$d/$$file; then \
  438 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  439 	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
  440 	    fi; \
  441 	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
  442 	  else \
  443 	    test -f $(distdir)/$$file \
  444 	    || cp -p $$d/$$file $(distdir)/$$file \
  445 	    || exit 1; \
  446 	  fi; \
  447 	done
  448 check-am: all-am
  449 	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
  450 check: check-am
  451 all-am: Makefile $(PROGRAMS)
  452 installdirs:
  453 install: install-am
  454 install-exec: install-exec-am
  455 install-data: install-data-am
  456 uninstall: uninstall-am
  457 
  458 install-am: all-am
  459 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  460 
  461 installcheck: installcheck-am
  462 install-strip:
  463 	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  464 	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  465 	  `test -z '$(STRIP)' || \
  466 	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
  467 mostlyclean-generic:
  468 
  469 clean-generic:
  470 
  471 distclean-generic:
  472 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  473 
  474 maintainer-clean-generic:
  475 	@echo "This command is intended for maintainers to use"
  476 	@echo "it deletes files that may require special tools to rebuild."
  477 clean: clean-am
  478 
  479 clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
  480 	mostlyclean-am
  481 
  482 distclean: distclean-am
  483 	-rm -rf ./$(DEPDIR)
  484 	-rm -f Makefile
  485 distclean-am: clean-am distclean-compile distclean-generic \
  486 	distclean-libtool distclean-tags
  487 
  488 dvi: dvi-am
  489 
  490 dvi-am:
  491 
  492 html: html-am
  493 
  494 info: info-am
  495 
  496 info-am:
  497 
  498 install-data-am:
  499 
  500 install-exec-am:
  501 
  502 install-info: install-info-am
  503 
  504 install-man:
  505 
  506 installcheck-am:
  507 
  508 maintainer-clean: maintainer-clean-am
  509 	-rm -rf ./$(DEPDIR)
  510 	-rm -f Makefile
  511 maintainer-clean-am: distclean-am maintainer-clean-generic
  512 
  513 mostlyclean: mostlyclean-am
  514 
  515 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
  516 	mostlyclean-libtool
  517 
  518 pdf: pdf-am
  519 
  520 pdf-am:
  521 
  522 ps: ps-am
  523 
  524 ps-am:
  525 
  526 uninstall-am: uninstall-info-am
  527 
  528 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
  529 	clean-generic clean-libtool clean-noinstPROGRAMS ctags \
  530 	distclean distclean-compile distclean-generic \
  531 	distclean-libtool distclean-tags distdir dvi dvi-am html \
  532 	html-am info info-am install install-am install-data \
  533 	install-data-am install-exec install-exec-am install-info \
  534 	install-info-am install-man install-strip installcheck \
  535 	installcheck-am installdirs maintainer-clean \
  536 	maintainer-clean-generic mostlyclean mostlyclean-compile \
  537 	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
  538 	tags uninstall uninstall-am uninstall-info-am
  539 
  540 # Tell versions [3.59,3.63) of GNU make to not export all variables.
  541 # Otherwise a system limit (for SysV at least) may be exceeded.
  542 .NOEXPORT: